Description

I created a pile of VMs (using hostgroups)

Upon deleting them, their storage volumes have been left around.

The hypervisor has two storage pools in this case (default and rootvg) and the volume resided in the rootvg pool.

production log shows:

Removing Libvirt instance for for bl-cassandra-s06.example.com

Removing Libvirt instance storage for bl-cassandra-s06.example.com

Delete DHCP reservation for bl-cassandra-s06.visualdna.com-52:54:00:f4:a0:91/10.200.10.66

Delete the TFTP configuration for bl-cassandra-s06.example.com

Remove puppet certificate for bl-cassandra-s06.example.com

Delete the autosign entry for bl-cassandra-s06.example.com

(no errors)

virsh c qemu+ssh://root@bl-vmhost-s02/system vol-list --pool rootvg

Name                 Path

----------------------------------------

bl-cassandra-s02.example.com.img /dev/rootvg/bl-cassandra-s02.example.com.img

bl-cassandra-s06.example.com.img /dev/rootvg/bl-cassandra-s06.example.com.img

virsh -c qemu+ssh://root@bl-vmhost-s02/system vol-delete bl-cassandra-s02.example.com.img

error: failed to get vol 'bl-cassandra-s02.visualdna.com.img'

error: Storage volume not found: no storage vol with matching path

virsh -c qemu+ssh://root@bl-vmhost-s02/system vol-delete bl-cassandra-s02.example.com.img --pool rootvg

Vol bl-cassandra-s02.visualdna.com.img deleted

Foreman 0.4.1

History

#1 - 02/25/2012 01:52 PM - Ohad Levy

when you list the guests (hypervisors/guests), do they have the correct volumes attached?

we've done some work on this patch, any chance you can try to reproduce with the latest foreman version (the develop branch?)

thanks

#2 - 02/27/2012 03:57 AM - Adrian Bridgett

Hi Ohad,

If I click More -> Hypervisors -> (hypervisor name) the hosts are listed with Storage=default. Clicking on the host reveals "Disk: 8GB (default storage

pool)". I wonder if this is because they have been defined via host groups (More -> Host Group -> (name) -> Virtual Machine tab says "Storage pool:

rootvg" (not default)).
I've just upgraded to the latest nightly build .deb (0.5-~nightlybuild1322446320) and the problem remains.

Thanks,

Adrian

#3 - 02/27/2012 03:59 AM - Ohad Levy

- Status changed from New to Feedback

Thanks,

Sadly the deb nightly are broken, and they do not represent the latest code anymore (Actually, they might be older than 0.4.2).

if you can, try it with the latest git version.

#4 - 02/27/2012 05:37 AM - Adrian Bridgett

I've just tried to do that (oh, what fun..) and had to revert after a while. I had fun with gems to begin with, but eventually hit some problems where

foreman wouldn't start:

uninitialized constant WillPaginate

0    /usr/share/foreman/config/initializers/foreman.rb    33

I commented that line out, but then it failed to load the module anyway:

uninitialized constant WillPaginate::ActionView::LinkRenderer

0    /usr/share/foreman/config/initializers/will_paginate.rb    6

https://github.com/sandipransing/rails_tiny_mce/issues/10 seems to suggest that this changed quite a while back, so I decided to revert our install at

this point.

#5 - 02/27/2012 05:47 AM - Ohad Levy

thats odd, can you provide some more info about the os you are trying it on?

I'll try to produce

#6 - 02/27/2012 05:50 AM - Adrian Bridgett

Sure, it's a Debian 6.0 install, it's running under mod_passenger.

Full stack track of the original problem:

uninitialized constant WillPaginate

1. File    Line    Location

0    /usr/share/foreman/config/initializers/foreman.rb    33

1    /var/lib/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb    201

2    /var/lib/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb    200    in `each'

3    /var/lib/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb    200

4    /var/lib/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb    25    in `instance_exec'

5    /var/lib/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb    25    in `run'

6    /var/lib/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb    50    in `run_initializers'

7    /var/lib/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb    49    in `each'

8    /var/lib/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb    49    in `run_initializers'

9    /var/lib/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb    134    in `initialize!'

10    /var/lib/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb    77    in `send'

11    /var/lib/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb    77    in `method_missing'

12    /usr/share/foreman/config/environment.rb    5

13    /usr/lib/ruby/1.8/rubygems/custom_require.rb    31    in `gem_original_require'

14    /usr/lib/ruby/1.8/rubygems/custom_require.rb    31    in `require'

15    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb    303    in `preload_application'

16    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb    252    in `initialize_server'

17    /usr/lib/ruby/1.8/phusion_passenger/utils.rb    255    in `report_app_init_status'

18    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb    237    in `initialize_server'

19    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb    194    in `start_synchronously'

20    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb    163    in `start'

21    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb    213    in `start'

22    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb    262    in `spawn_rails_application'

23    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb    126    in `lookup_or_add'

24    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb    256    in `spawn_rails_application'

25    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb    80    in `synchronize'

26    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb    79    in `synchronize'

27    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb    255    in `spawn_rails_application'

28    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb    154    in `spawn_application'
29    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb    287    in `handle_spawn_application'

30    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb    352    in `__send__'

31    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb    352    in `main_loop'

32    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb    196    in `start_synchronously'

33    /usr/lib/phusion_passenger/passenger-spawn-server

#7 - 02/28/2012 03:03 AM - Ohad Levy

I had no problem running 0.5 on deb 6, are you sure you followed the instructions (e.g. using bundle etc)?

#8 - 02/29/2012 03:14 PM - Adrian Bridgett

I thought I had - but there maybe a "more or less" in there.  Not a huge fan of programs pulling in lots of dependencies (which is why I generally stick

with .debs or plain tarballs).  Fighting a losing battle though!

#9 - 01/03/2013 01:12 PM - Benjamin Papillon

Foreman evolued a lot since this bug report. Do you still have the problem? Did you test the new splited .debs to keep dependencies down?

Regards

#10 - 01/03/2013 04:35 PM - Adrian Bridgett

it's positively pre-historic, I think closing it is fine.  In fact we upgraded foreman to 1.1rc3 (and then git code as we needed puppetv3 fixes) - the debs

seemed pretty good yes and loving the improvements :-)  It was rolling back perfectly fine when we were having provisioning failures (permissions

issues on autosign.conf amongst others).

#11 - 01/04/2013 03:11 AM - Benjamin Papillon

- Status changed from Feedback to Closed

I'm closing the bug report.

Thanks for the update!
